Bug 1318491 - cpu is over 100% for liveusb-creator process while application is doing nothing
Summary: cpu is over 100% for liveusb-creator process while application is doing nothing
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-03-17 04:09 UTC by Chris Murphy
Modified: 2017-08-08 13:08 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 13:08:27 UTC


Attachments (Terms of Use)
strace pid 13301 (6.22 MB, text/plain)
2016-03-17 04:10 UTC, Chris Murphy
no flags Details
strace pid 13304 (2.99 MB, text/plain)
2016-03-17 04:10 UTC, Chris Murphy
no flags Details
strace pid 13305 (67 bytes, text/plain)
2016-03-17 04:10 UTC, Chris Murphy
no flags Details
strace pid 13307 (115.99 KB, text/plain)
2016-03-17 04:10 UTC, Chris Murphy
no flags Details
strace pid 13309 (66 bytes, text/plain)
2016-03-17 04:10 UTC, Chris Murphy
no flags Details
liveusb-creator-3.92.1-1's CPU usage (1.38 MB, image/png)
2016-04-19 19:11 UTC, Giulio 'juliuxpigface'
no flags Details

Description Chris Murphy 2016-03-17 04:09:12 UTC
Description of problem:
When not writing, before and after creation of USB media, the application CPU is very high.


Version-Release number of selected component (if applicable):
liveusb-creator-3.90.0-1.fc24.noarch

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
top reports high CPU usage while the application is idle

13301 root      20   0 1076840 118852  64496 R 136.9  1.5  13:56.96 liveusb-creator                                                                            




Expected results:

Should be much less than this when idle.


Additional info:

Comment 1 Chris Murphy 2016-03-17 04:10 UTC
Created attachment 1137284 [details]
strace pid 13301

Comment 2 Chris Murphy 2016-03-17 04:10 UTC
Created attachment 1137285 [details]
strace pid 13304

Comment 3 Chris Murphy 2016-03-17 04:10 UTC
Created attachment 1137286 [details]
strace pid 13305

Comment 4 Chris Murphy 2016-03-17 04:10 UTC
Created attachment 1137287 [details]
strace pid 13307

Comment 5 Chris Murphy 2016-03-17 04:10 UTC
Created attachment 1137288 [details]
strace pid 13309

Comment 6 Giulio 'juliuxpigface' 2016-04-19 19:11 UTC
Created attachment 1148720 [details]
liveusb-creator-3.92.1-1's CPU usage

FYI, the high CPU usage is still present with 3.92.1-1 version.

Comment 7 Kamil Páral 2016-04-20 08:37:50 UTC
Also reported here:
https://github.com/lmacken/liveusb-creator/issues/43

Comment 8 Fedora Update System 2016-04-21 16:12:50 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-21 16:13:53 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-21 21:59:52 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 11 Kamil Páral 2016-04-22 08:14:50 UTC
This is not fixed with liveusb-creator-3.93.1-1.fc24. If you see "There are no portable drives connected" spinner, it eats 130% cpu. Even after you connect a drive and do nothing, it still eats 65% cpu. During writing, it eats 60% cpu. After writing has finished, it eats 100% cpu. All of that seems to be busy waiting.

Comment 12 Fedora Update System 2016-04-22 17:07:00 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 13 John Reiser 2016-04-23 15:09:29 UTC
Still not fixed in liveusb-creator-3.93.2-1.fc24.  On my box with 4 CPU cores, the CPU usage is around 135% to 145%.  And the Xorg process is at 80% when nothing other than liveusb-creator is active.

Also, "ps -m PID" shows 9 threads, which is 5 too many. Four threads are enough: writer, reader, display, mouse. Only two of the threads accumulate CPU time, in the ratio 2:1 approximately.

Comment 14 Fedora Update System 2016-04-24 01:25:28 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 15 Martin Bříza 2016-04-25 14:02:00 UTC
I'd suspect this is caused by using graphics drivers with no 3D acceleration. On my machine, it uses around 4% of one core.

Comment 16 Kamil Páral 2016-04-25 14:31:21 UTC
Nope, 3D works OK.

My system is Thinkpad T450s:
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 5500 (Broadwell GT2) 
i965 driver

However, I just tested it on a desktop with Radeon R9 270X (radeon driver) and I see only 10-15% cpu usage when showing the spinner (compared to 130% with intel). So this seems to be related to intel (and maybe just certain intel cards)?

However, when writing, I still see 40%+ cpu usage even on the Radeon desktop machine.

Comment 17 Kamil Páral 2016-04-25 14:35:55 UTC
I take my comment back. Even on the Radeon desktop machine, if I leave the spinner spinning, every second the CPU usage increases. After one minute, I have about 160% cpu usage. So there's the same issue as well, it just takes longer to manifest.

Comment 18 Martin Bříza 2016-04-25 14:41:51 UTC
Ah, yes, I understood the report wrong. The spinning wheel in drive selection seems to be broken. Going to fix that.

Comment 19 Fedora Update System 2016-04-26 08:13:45 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 20 František Zatloukal 2016-04-26 08:57:08 UTC
CPU usage is now ok on bare metal (Intel). But it's still high (80-100% CPU) in QEMU with Fedora 22 (it will be probably same even in newer releases).

Comment 21 Fedora Update System 2016-04-26 16:23:47 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 22 Fedora Update System 2016-04-26 16:33:19 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Kamil Páral 2016-04-27 10:34:18 UTC
The cpu usage is fixed on my F24 bare metal when waiting for a flash drive, it was caused by the spinner. However, when writing it's still 50% and after writing has finished, it's at 30%, even when it is still.

Comment 25 Fedora End Of Life 2017-07-25 20:20:37 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 26 Fedora End Of Life 2017-08-08 13:08:27 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.